.TH RPSPAWN 2 "November 15, 1995" "Release 6.1" "LAM REMOTE LIBRARY"
.SH NAME
rpspawn \- Spawn a LAM process onto a remote node.
.SH SYNOPSIS
#include <preq.h>
.HP
int rpspawn(int src_node, int dest_node, int sflags, int svalue,
char **argv, int *pid, int *idx);
.SH ARGUMENTS
.TP 12
src_node
source node where selected process are running
.TP
dest_node
destination node where new process will be spawned
.TP
sflags
method by which the existing process is selected - See rpstate(2).
.TP
svalue
selection matching value, if required, otherwise ignored
.TP
argv
null-terminated array of strings to be passed as
command-line arguments to the new process
.TP
pid
new process ID (output)
.TP
idx
new process index (output)
.SH DESCRIPTION
When a process is spawned, the program is copied and rerun as
a new process.
.PP
If
.I argv
is the null pointer, the program arguments of the original process are used.
.PP
One and only one process is spawned by
.IR rpspawn() .
If multiple processes are selected, only one process is chosen.
.SH ERRORS
.TP 20
ENOPDESCRIPTORS
The remote process descriptor table is full.
.TP
ENOFLDESCRIPTORS
The table of strorage blocks (kept by the flat daemon) is full.
.TP
ENOTPROCESS
No matching process exists.
.TP
EINVAL
The selection method is invalid.
.SH SEE ALSO
rpcreate(2), rploadgo(2)
